.chat-list-container {
  margin: 50px;
  overflow-y: hidden;
   /* ou la largeur de votre choix */
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  border-radius: 8px;
  background: white;
}
  
  .chat-messages {
    height: 400px;
    overflow-y: auto;
    padding: 15px;
    border-bottom: 1px solid #e2e2e2;
    display: flex;
    flex-direction: column;
    gap: 10px;
  }
  .date-divider-container {
    display: flex;
    align-items: center;
  }
  
  .date-divider-left, .date-divider-right {
    flex-grow: 1;
    height: 2px;
    background-color: black; /* Couleur de la ligne */
  }
  
  .date-text {
    margin: 0 10px; /* Espacement autour de la date */
  }
  
  .message {
    padding: 8px 15px;
 
    line-height: 1.4;
    font-size: 14px;
    max-width: 70%;
    word-break: break-word;
  }
  
  .message-right {
    background-color: #ac3328;
    color: white;
  }
  
  .button-chat{

    flex: 5%;
  cursor: pointer;
  background-color: #1c1d1e;
  margin: 4px 4px 4px 8px;
  height: 50px;

  }


  .message:not(.message-right) {
    background-color: rgba(0, 0, 0, 0.87);
    align-self: flex-start;
    color: white;
  }
  
  .chat-form {
    display: flex;
    padding: 10px;
    border-top: 1px solid #e2e2e2;
  }
  
  .chat-form input {
    flex-grow: 1;
    padding: 10px 15px;
    border: 1px solid #ddd;
    border-radius: 20px;
    margin-right: 10px;
    font-size: 14px;
  }
  
  .chat-form button {
    color: white;
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    font-size: 14px;
    transition: background-color 0.3s;
  }
  
  .chat-form button:hover {
    background-color: #0056b3;
  }
  